Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

896 lines (844 sloc) 29.156 kb
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.jboss</groupId>
<artifactId>jboss-parent</artifactId>
<version>6-beta-1</version>
</parent>
<groupId>org.torquebox</groupId>
<artifactId>torquebox-parent</artifactId>
<version>2.4.0-SNAPSHOT</version>
<packaging>pom</packaging>
<name>TorqueBox</name>
<url>http://torquebox.org/</url>
<description>
The TorqueBox Parent POM
</description>
<scm>
<connection>scm:git:git://github.com/torquebox/torquebox-release.git</connection>
<developerConnection>scm:git:ssh://git@github.com/torquebox/torquebox-release.git</developerConnection>
<url>http://github.com/torquebox/torquebox-release</url>
</scm>
<developers>
<developer>
<id>torquebox-team</id>
<name>The TorqueBox Team</name>
<email>torquebox-dev@torquebox.org</email>
</developer>
</developers>
<modules>
<module>support</module>
<module>modules</module>
<module>gems</module>
<module>build</module>
</modules>
<profiles>
<profile>
<id>19</id>
<activation>
<activeByDefault>false</activeByDefault>
</activation>
<properties>
<ruby.compat.version>1.9</ruby.compat.version>
</properties>
</profile>
<profile>
<id>bees</id>
<activation>
<activeByDefault>false</activeByDefault>
</activation>
<properties>
<jboss.releases.repo.url>dav:https://repository-projectodd.forge.cloudbees.com/release</jboss.releases.repo.url>
<jboss.snapshots.repo.url>dav:https://repository-projectodd.forge.cloudbees.com/snapshot</jboss.snapshots.repo.url>
</properties>
</profile>
<profile>
<id>release-staging</id>
<activation>
<activeByDefault>false</activeByDefault>
</activation>
<properties>
<jboss.releases.repo.url>dav:https://repository-projectodd.forge.cloudbees.com/staging</jboss.releases.repo.url>
<jboss.snapshots.repo.url>dav:https://repository-projectodd.forge.cloudbees.com/staging</jboss.snapshots.repo.url>
</properties>
<repositories>
<repository>
<id>projectodd-staging</id>
<name>projectodd staging</name>
<url>https://repository-projectodd.forge.cloudbees.com/staging</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>projectodd-staging</id>
<name>projectodd staging</name>
<url>https://repository-projectodd.forge.cloudbees.com/staging</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</pluginRepository>
</pluginRepositories>
</profile>
<profile>
<id>release</id>
<activation>
<activeByDefault>false</activeByDefault>
</activation>
<properties>
<jboss.releases.repo.url>dav:https://repository-projectodd.forge.cloudbees.com/release</jboss.releases.repo.url>
<jboss.snapshots.repo.url>dav:https://repository-projectodd.forge.cloudbees.com/release</jboss.snapshots.repo.url>
</properties>
<repositories>
<repository>
<id>projectodd-release</id>
<name>projectodd release</name>
<url>https://repository-projectodd.forge.cloudbees.com/release</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>projectodd-release</id>
<name>projectodd release</name>
<url>https://repository-projectodd.forge.cloudbees.com/release</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</pluginRepository>
</pluginRepositories>
</profile>
<profile>
<id>full</id>
<activation>
<activeByDefault>false</activeByDefault>
</activation>
<modules>
<module>integration-tests</module>
<module>docs</module>
</modules>
</profile>
<profile>
<id>integ</id>
<activation>
<activeByDefault>false</activeByDefault>
</activation>
<modules>
<module>integration-tests</module>
</modules>
</profile>
<profile>
<id>dist</id>
<activation>
<activeByDefault>false</activeByDefault>
</activation>
<modules>
<module>docs</module>
</modules>
</profile>
<profile>
<id>windows-can't-dance-with-19</id>
<activation>
<os>
<family>Windows</family>
</os>
</activation>
<properties>
<ruby.compat.version>1.8</ruby.compat.version>
</properties>
</profile>
<profile>
<id>site-1.8-only</id>
<activation>
<property>
<name>ruby.compat.version</name>
<value>1.8</value>
</property>
</activation>
<build>
<plugins>
<plugin>
<artifactId>maven-dependency-plugin</artifactId>
<executions>
<execution>
<id>unpack</id>
<phase>pre-site</phase>
<goals>
<goal>unpack</goal>
</goals>
<configuration>
<artifactItems>
<artifactItem>
<groupId>org.projectodd</groupId>
<artifactId>polyglot-javadoc-support</artifactId>
<version>${version.polyglot}</version>
<type>jar</type>
</artifactItem>
</artifactItems>
<outputDirectory>${project.basedir}/target/javadoc-support</outputDirectory>
<includes>**/*.css,**/*.png,**/*.gif</includes>
</configuration>
</execution>
</executions>
</plugin>
<plugin>
<artifactId>maven-javadoc-plugin</artifactId>
<executions>
<execution>
<id>dist-javadocs</id>
<goals>
<goal>javadoc</goal>
</goals>
<phase>site</phase>
<configuration>
<inherit>false</inherit>
<aggregate>true</aggregate>
<stylesheetfile>${project.basedir}/target/javadoc-support/stylesheet/stylesheet.css</stylesheetfile>
<javadocDirectory>${project.basedir}/target/javadoc-support/</javadocDirectory>
<docfilessubdirs>true</docfilessubdirs>
</configuration>
</execution>
<execution>
<id>dist-javadocs-jar</id>
<goals>
<goal>aggregate-jar</goal>
</goals>
<phase>site</phase>
<configuration>
<inherit>false</inherit>
<aggregate>true</aggregate>
<stylesheetfile>${project.basedir}/target/javadoc-support/stylesheet/stylesheet.css</stylesheetfile>
<javadocDirectory>${project.basedir}/target/javadoc-support/</javadocDirectory>
<docfilessubdirs>true</docfilessubdirs>
</configuration>
</execution>
</executions>
</plugin>
</plugins>
</build>
</profile>
<profile>
<id>wfk</id>
<activation>
<property>
<name>wfk</name>
</property>
</activation>
<properties>
<version.jbossas>7.1.2.Final-redhat-1</version.jbossas>
<version.org.hibernate.search>4.1.1.Final-redhat-1</version.org.hibernate.search>
<version.org.infinispan>5.1.3.FINAL-redhat-1</version.org.infinispan>
<version.polyglot>1.5.3-redhat-1</version.polyglot>
<version.org.jboss.jboss-msc>1.0.2.GA-redhat-1</version.org.jboss.jboss-msc>
</properties>
</profile>
<profile>
<id>wfk-test</id>
<activation>
<property>
<name>wfk</name>
<value>test</value>
</property>
</activation>
<repositories>
<repository>
<id>rubygems-proxy</id>
<name>Rubygems Proxy</name>
<url>http://rubygems-proxy.torquebox.org/releases</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
<updatePolicy>never</updatePolicy>
</snapshots>
</repository>
</repositories>
</profile>
<profile>
<id>not-wfk</id>
<activation>
<property>
<name>!wfk</name>
</property>
</activation>
<repositories>
<repository>
<id>jboss-third-party-releases</id>
<name>JBoss 3rd Party Releases</name>
<url>https://repository.jboss.org/nexus/service/local/repositories/thirdparty-releases/content</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
<repository>
<id>codehaus</id>
<name>Codehaus repo</name>
<url>http://repository.codehaus.org/</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
<repository>
<id>jboss-incremental</id>
<name>JBoss AS Incremental Builds</name>
<url>https://repository-projectodd.forge.cloudbees.com/upstream</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
<repository>
<id>rubygems-proxy</id>
<name>Rubygems Proxy</name>
<url>http://rubygems-proxy.torquebox.org/releases</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
<updatePolicy>never</updatePolicy>
</snapshots>
</repository>
<repository>
<id>polyglot-snapshot</id>
<name>Polyglot SNAPSHOT builds</name>
<url>https://repository-projectodd.forge.cloudbees.com/snapshot</url>
<layout>default</layout>
<releases>
<enabled>false</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
<repository>
<id>projectodd-release</id>
<name>projectodd release</name>
<url>https://repository-projectodd.forge.cloudbees.com/release</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>sonatype-snapshots</id>
<name>Sonatype Snapshots Repository</name>
<url>https://oss.sonatype.org/content/repositories/snapshots/</url>
<layout>default</layout>
<releases>
<enabled>false</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
<updatePolicy>never</updatePolicy>
</snapshots>
</pluginRepository>
<pluginRepository>
<id>projectodd-release</id>
<name>projectodd release</name>
<url>https://repository-projectodd.forge.cloudbees.com/release</url>
<layout>default</layout>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</pluginRepository>
<pluginRepository>
<id>polyglot-snapshot</id>
<name>Polyglot SNAPSHOT builds</name>
<url>https://repository-projectodd.forge.cloudbees.com/snapshot</url>
<layout>default</layout>
<releases>
<enabled>false</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
</snapshots>
</pluginRepository>
</pluginRepositories>
</profile>
</profiles>
<dependencyManagement>
<dependencies>
<!-- Because AS7 integrates Stilts and is behind-the-times,
we must re-manage is back to a useful version. -->
<dependency>
<groupId>org.projectodd.stilts</groupId>
<artifactId>stilts-stomplet-server-core</artifactId>
<version>${version.org.projectodd.stilts}</version>
</dependency>
<dependency>
<groupId>org.projectodd</groupId>
<artifactId>yaml-schema</artifactId>
<version>${version.org.projectodd.yaml-schema}</version>
</dependency>
<dependency>
<groupId>org.infinispan</groupId>
<artifactId>infinispan-query</artifactId>
<version>${version.org.infinispan}</version>
<exclusions>
<exclusion>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
</exclusion>
<exclusion>
<groupId>org.infinispan</groupId>
<artifactId>infinispan-api</artifactId>
</exclusion>
<exclusion>
<groupId>org.infinispan</groupId>
<artifactId>infinispan-commons</artifactId>
</exclusion>
<exclusion>
<groupId>org.infinispan</groupId>
<artifactId>infinispan-core</artifactId>
</exclusion>
<exclusion>
<groupId>org.jboss.logging</groupId>
<artifactId>jboss-logging</artifactId>
</exclusion>
<exclusion>
<groupId>org.rhq.helpers</groupId>
<artifactId>rhq-pluginAnnotations</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-search</artifactId>
<version>${version.org.hibernate.search}</version>
<exclusions>
<exclusion>
<groupId>commons-codec</groupId>
<artifactId>commons-codec</artifactId>
</exclusion>
<exclusion>
<groupId>commons-io</groupId>
<artifactId>commons-io</artifactId>
</exclusion>
<exclusion>
<groupId>commons-lang</groupId>
<artifactId>commons-lang</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.jboss.as</groupId>
<artifactId>jboss-as-parent</artifactId>
<version>${version.jbossas}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<dependency>
<groupId>org.jboss</groupId>
<artifactId>netty</artifactId>
<version>${version.netty}</version>
</dependency>
<dependency>
<groupId>org.hornetq</groupId>
<artifactId>hornetq-jms-client</artifactId>
<version>${version.org.hornetq.hornetq-jms}</version>
</dependency>
<dependency>
<groupId>org.hornetq</groupId>
<artifactId>hornetq-logging</artifactId>
<version>${version.org.hornetq.hornetq-jms}</version>
</dependency>
<dependency>
<groupId>org.jruby</groupId>
<artifactId>jruby-complete</artifactId>
<version>${version.jruby}</version>
</dependency>
<dependency>
<groupId>org.yaml</groupId>
<artifactId>snakeyaml</artifactId>
<version>${version.snakeyaml}</version>
</dependency>
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>${version.junit}</version>
</dependency>
<dependency>
<groupId>org.mockito</groupId>
<artifactId>mockito-all</artifactId>
<version>${version.mockito}</version>
</dependency>
<dependency>
<groupId>org.hamcrest</groupId>
<artifactId>hamcrest-all</artifactId>
<version>${version.hamcrest}</version>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>activerecord-jdbc-adapter</artifactId>
<version>${version.ar.jdbc}</version>
<classifier>java</classifier>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>activerecord-jdbcsqlite3-adapter</artifactId>
<version>${version.ar.sqlite3}</version>
<classifier>java</classifier>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>activerecord-jdbcpostgresql-adapter</artifactId>
<version>${version.ar.postgresql}</version>
<classifier>java</classifier>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>activerecord-jdbcmysql-adapter</artifactId>
<version>${version.ar.mysql}</version>
<classifier>java</classifier>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>jdbc-sqlite3</artifactId>
<version>${version.jdbc.sqlite3}</version>
<classifier>java</classifier>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>jdbc-postgres</artifactId>
<version>${version.jdbc.postgresql}</version>
<classifier>java</classifier>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>jdbc-mysql</artifactId>
<version>${version.jdbc.mysql}</version>
<classifier>java</classifier>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rspec</artifactId>
<version>${version.rspec}</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rake</artifactId>
<version>${version.rake}</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rubyzip</artifactId>
<version>${version.rubyzip}</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>org.jruby</groupId>
<artifactId>jruby-bin</artifactId>
<version>${version.jruby}</version>
<type>zip</type>
</dependency>
<dependency>
<groupId>org.jboss.jbossas</groupId>
<artifactId>jboss-as-distribution</artifactId>
<version>${version.jbossas}</version>
<type>zip</type>
</dependency>
</dependencies>
</dependencyManagement>
<properties>
<ruby.compat.version>1.8</ruby.compat.version>
<version.polyglot>1.12.0</version.polyglot>
<version.jruby-maven-plugins>0.28.4</version.jruby-maven-plugins>
<version.junit>4.7</version.junit>
<version.jmock>2.5.1</version.jmock>
<version.mockito>1.8.4</version.mockito>
<version.hamcrest>1.1</version.hamcrest>
<version.netty>3.2.1.Final</version.netty>
<version.jboss.reloaded>0.1.2</version.jboss.reloaded>
<version.jruby>1.7.2</version.jruby>
<version.snakeyaml>1.5</version.snakeyaml>
<version.rack>1.1.0</version.rack>
<version.rails2>2.3.14</version.rails2>
<version.rails3>3.0.10</version.rails3>
<version.rails31>3.1.1</version.rails31>
<version.arel>2.0.9</version.arel>
<version.ar.jdbc>1.1.3</version.ar.jdbc>
<version.ar.sqlite3>1.1.3</version.ar.sqlite3>
<version.ar.mysql>1.1.3</version.ar.mysql>
<version.ar.postgresql>1.1.3</version.ar.postgresql>
<version.jdbc.sqlite3>3.6.3.054</version.jdbc.sqlite3>
<version.jdbc.mysql>5.0.4</version.jdbc.mysql>
<version.jdbc.postgresql>8.4.701</version.jdbc.postgresql>
<version.rake>[0.8.7,)</version.rake>
<version.rubyzip>0.9.4</version.rubyzip>
<version.rspec>2.7.0</version.rspec>
<version.newrelic>3.3.2</version.newrelic>
<version.jbossas>7.1.x.incremental.129</version.jbossas>
<version.org.projectodd.stilts>0.1.28</version.org.projectodd.stilts>
<version.org.projectodd.yaml-schema>0.2</version.org.projectodd.yaml-schema>
<version.org.hibernate.search>4.1.0.Beta1</version.org.hibernate.search>
<version.org.infinispan>5.1.7.FINAL</version.org.infinispan>
<version.org.jboss.jboss-msc>1.0.2.GA</version.org.jboss.jboss-msc>
</properties>
<dependencies>
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<scope>test</scope>
</dependency>
<dependency>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
<scope>test</scope>
</dependency>
</dependencies>
<build>
<defaultGoal>install</defaultGoal>
<extensions>
<extension>
<groupId>org.apache.maven.wagon</groupId>
<artifactId>wagon-webdav-jackrabbit</artifactId>
<version>1.0-beta-7</version>
</extension>
</extensions>
<finalName>${project.artifactId}</finalName>
<resources>
<resource>
<directory>src/main/resources</directory>
</resource>
<resource>
<directory>src/main/java</directory>
<includes>
<include>**/*.rb</include>
<include>**/*.properties</include>
</includes>
</resource>
</resources>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-maven-plugin</artifactId>
<extensions>true</extensions>
<executions>
<execution>
<id>default-push</id>
<goals><goal>push</goal></goals>
<phase>none</phase>
</execution>
</executions>
</plugin>
<plugin>
<artifactId>maven-resources-plugin</artifactId>
<version>2.4</version>
<configuration>
<encoding>UTF-8</encoding>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.5.1</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
<showDeprecation>false</showDeprecation>
<showWarnings>true</showWarnings>
<optimize>true</optimize>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-source-plugin</artifactId>
<executions>
<execution>
<phase>package</phase>
<goals>
<goal>jar</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>cobertura-maven-plugin</artifactId>
<configuration>
<instrumentation>
<includes>
<include>org/torquebox/**/*.class</include>
</includes>
</instrumentation>
<formats>
<format>html</format>
<format>xml</format>
</formats>
</configuration>
</plugin>
</plugins>
<pluginManagement>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-maven-plugin</artifactId>
<version>${version.jruby-maven-plugins}</version>
<extensions>true</extensions>
<configuration>
<jrubyVersion>${version.jruby}</jrubyVersion>
<jrubyArgs>-Xmx768m</jrubyArgs>
</configuration>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>jruby-maven-plugin</artifactId>
<version>${version.jruby-maven-plugins}</version>
<extensions>true</extensions>
<configuration>
<jrubySwitches>--1.9</jrubySwitches>
<jrubyVersion>${version.jruby}</jrubyVersion>
</configuration>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rake-maven-plugin</artifactId>
<version>${version.jruby-maven-plugins}</version>
<extensions>true</extensions>
<configuration>
<jrubyVersion>${version.jruby}</jrubyVersion>
</configuration>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rspec-maven-plugin</artifactId>
<version>${version.jruby-maven-plugins}</version>
<executions>
<execution>
<id>run-specs</id>
<phase>test</phase>
<goals>
<goal>test</goal>
</goals>
<configuration>
<inherit>true</inherit>
<gemArgs>--backtrace</gemArgs>
<args>${spec}</args>
<verbose>false</verbose>
<jrubyVersion>${version.jruby}</jrubyVersion>
<jrubySwitches>-rjruby --${ruby.compat.version}</jrubySwitches>
<gemHome>${project.build.directory}/rubygems</gemHome>
<gemPath>${project.build.directory}/rubygems</gemPath>
<fork>true</fork>
<systemProperties>
<property>
<name>log4j.configuration</name>
<value>test-log4j.xml</value>
</property>
</systemProperties>
</configuration>
</execution>
</executions>
</plugin>
<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
<plugin>
<groupId>org.eclipse.m2e</groupId>
<artifactId>lifecycle-mapping</artifactId>
<version>1.0.0</version>
<configuration>
<lifecycleMappingMetadata>
<pluginExecutions>
<pluginExecution>
<pluginExecutionFilter>
<groupId>de.saumya.mojo</groupId>
<artifactId>
gem-maven-plugin
</artifactId>
<versionRange>
[0.28.4-SNAPSHOT,)
</versionRange>
<goals>
<goal>install</goal>
<goal>initialize</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore />
</action>
</pluginExecution>
<pluginExecution>
<pluginExecutionFilter>
<groupId>de.saumya.mojo</groupId>
<artifactId>jruby-maven-plugin</artifactId>
<versionRange>[0.28.4,)</versionRange>
<goals>
<goal>jruby</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore />
</action>
</pluginExecution>
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.jboss.maven.plugins</groupId>
<artifactId>maven-jdocbook-plugin</artifactId>
<versionRange>[2.3.3,)</versionRange>
<goals>
<goal>generate</goal>
<goal>resources</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore />
</action>
</pluginExecution>
</pluginExecutions>
</lifecycleMappingMetadata>
</configuration>
</plugin>
</plugins>
</pluginManagement>
</build>
</project>
Jump to Line
Something went wrong with that request. Please try again.